Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 606870 - [abrt] crash in poppler-utils-0.12.4-2.fc13: ActualText::~ActualText: Process /usr/bin/pdftotext was killed by signal 11 (SIGSEGV)
[abrt] crash in poppler-utils-0.12.4-2.fc13: ActualText::~ActualText: Process...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:4e61fb5026e52b01bc46665fee6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 12:14 EDT by Frank Ch. Eigler
Modified: 2010-08-11 03:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: poppler-0.12.4-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-11 03:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.38 KB, text/plain)
2010-06-22 12:14 EDT, Frank Ch. Eigler
no flags Details

  None (edit)
Description Frank Ch. Eigler 2010-06-22 12:14:19 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: pdftotext /usr/share/doc/systemtap-1.2/langref.pdf
component: poppler
crash_function: ActualText::~ActualText
executable: /usr/bin/pdftotext
global_uuid: 4e61fb5026e52b01bc46665fee6d3bb561f580b1
kernel: 2.6.33.5-124.fc13.x86_64
package: poppler-utils-0.12.4-2.fc13
rating: 4
reason: Process /usr/bin/pdftotext was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. find a pdf in a non-writeable directory
2. run pdftotext with the full path to that file
3. observe segv instead of -EPERM
Comment 1 Frank Ch. Eigler 2010-06-22 12:14:20 EDT
Created attachment 425994 [details]
File: backtrace
Comment 2 Marek Kašík 2010-06-29 10:08:27 EDT
Hi,

the problem here is that constructor of TextOutputDev class can return in middle of its execution without initialization of its member "actualText" (and member "text"), which is then used uninitialized.

Thank you for this report

Marek
Comment 3 Fedora Update System 2010-07-19 09:14:54 EDT
poppler-0.12.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/poppler-0.12.4-4.fc12
Comment 4 Fedora Update System 2010-07-19 09:15:49 EDT
poppler-0.12.4-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/poppler-0.12.4-5.fc13
Comment 5 Fedora Update System 2010-07-26 22:46:45 EDT
poppler-0.12.4-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-08-10 17:44:24 EDT
poppler-0.12.4-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.